Bug 1414516 - Review Request: python-monascaclient - Python client for monasca REST API
Summary: Review Request: python-monascaclient - Python client for monasca REST API
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-OCATA
TreeView+ depends on / blocked
 
Reported: 2017-01-18 17:29 UTC by Javier Peña
Modified: 2017-02-02 11:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 11:58:39 UTC
amoralej: rdo-review+


Attachments (Terms of Use)

Description Javier Peña 2017-01-18 17:29:11 UTC
Spec URL: https://jpena.fedorapeople.org/python-monascaclient/python-monascaclient.spec
SRPM URL: https://jpena.fedorapeople.org/python-monascaclient/python-monascaclient-1.4.0-1.src.rpm
Description: Python client for monasca REST API. Includes python library for monasca API
and Command Line Interface (CLI) library.

Fedora Account System Username: jpena

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=17323500

Comment 1 Alan Pevec 2017-01-18 23:40:48 UTC
IMHO OpenStack clients should be in Fedora if they are usable for the Cloud End-User use-case.
Monasca does not feel like the end-user service, it's admin-only monitoring solution: https://wiki.openstack.org/wiki/Monasca/Requirements

Comment 2 Javier Peña 2017-01-19 10:58:26 UTC
End-user utility seems limited. For now, moving to RDO as a package review, we can always import in Fedora later if needed.

Comment 3 Alfredo Moralejo 2017-01-20 11:08:23 UTC
Output of licensecheck:

$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./client_api_example.py: Apache (v2.0)
./requirements.txt: *No copyright* UNKNOWN
./run_tests.sh: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./examples/check_monasca.py: Apache (v2.0)
./examples/monasca-nagios.txt: Apache (v2.0)
./monascaclient/__init__.py: Apache (v2.0)
./monascaclient/client.py: Apache (v2.0)
./monascaclient/exc.py: Apache (v2.0)
./monascaclient/ksclient.py: Apache (v2.0)
./monascaclient/shell.py: Apache (v2.0)
./tools/install_venv.py: Apache (v2.0)
./tools/install_venv_common.py: Apache (v2.0)
./tools/monasca.bash_completion: *No copyright* UNKNOWN
./tools/requirements_style_check.sh: *No copyright* UNKNOWN
./tools/tox_install.sh: *No copyright* UNKNOWN
./tools/with_venv.sh: *No copyright* UNKNOWN
./monascaclient/apiclient/base.py: Apache (v2.0)
./monascaclient/apiclient/exceptions.py: Apache (v2.0)
./monascaclient/common/http.py: Apache (v2.0)
./monascaclient/common/monasca_manager.py: Apache (v2.0)
./monascaclient/common/utils.py: Apache (v2.0)
./monascaclient/tests/fakes.py: Apache (v2.0)
./monascaclient/tests/test_shell.py: Apache (v2.0)
./monascaclient/v2_0/__init__.py: Apache (v2.0)
./monascaclient/v2_0/alarm_definitions.py: Apache (v2.0)
./monascaclient/v2_0/alarms.py: Apache (v2.0)
./monascaclient/v2_0/client.py: Apache (v2.0)
./monascaclient/v2_0/metrics.py: Apache (v2.0)
./monascaclient/v2_0/notifications.py: Apache (v2.0)
./monascaclient/v2_0/notificationtypes.py: Apache (v2.0)
./monascaclient/v2_0/shell.py: Apache (v2.0)

Package is licensed under Apache License Version 2.0

Comment 5 Alfredo Moralejo 2017-02-02 08:59:45 UTC
fedora-review results:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 22 files have unknown
     license. Detailed output of licensecheck in /tmp/python-
     monascaclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-monascaclient , python2-monascaclient-tests
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     1.4.1.dev9
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-monascaclient-1.4.1-0.20170121001834.27cebc6.el7.centos.noarch.rpm
          python2-monascaclient-tests-1.4.1-0.20170121001834.27cebc6.el7.centos.noarch.rpm
          python-monascaclient-1.4.1-0.20170121001834.27cebc6.el7.centos.src.rpm
python2-monascaclient.noarch: E: no-changelogname-tag
python2-monascaclient.noarch: W: non-conffile-in-etc /etc/bash_completion.d/python-monascaclient
python2-monascaclient.noarch: W: no-manual-page-for-binary monasca-2
python2-monascaclient.noarch: W: no-manual-page-for-binary monasca-2.7
python2-monascaclient.noarch: W: no-manual-page-for-binary monasca
python2-monascaclient-tests.noarch: W: spelling-error Summary(en_US) monasca -> Monacan
python2-monascaclient-tests.noarch: W: spelling-error %description -l en_US monasca -> Monacan
python2-monascaclient-tests.noarch: E: no-changelogname-tag
python2-monascaclient-tests.noarch: W: no-documentation
python-monascaclient.src: W: spelling-error Summary(en_US) monasca -> Monacan
python-monascaclient.src: W: spelling-error %description -l en_US monasca -> Monacan
python-monascaclient.src: E: no-changelogname-tag
python-monascaclient.src: W: invalid-url Source0: python-monascaclient-1.4.1.dev9-0.20170121001834.27cebc6.tar.gz
3 packages and 0 specfiles checked; 3 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
python2-monascaclient.noarch: E: no-changelogname-tag
python2-monascaclient.noarch: W: non-conffile-in-etc /etc/bash_completion.d/python-monascaclient
python2-monascaclient.noarch: W: no-manual-page-for-binary monasca
python2-monascaclient.noarch: W: no-manual-page-for-binary monasca-2.7
python2-monascaclient.noarch: W: no-manual-page-for-binary monasca-2
python2-monascaclient-tests.noarch: E: no-changelogname-tag
python2-monascaclient-tests.noarch: W: no-documentation
2 packages and 0 specfiles checked; 2 errors, 5 warnings.



Requires
--------
python2-monascaclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    PyYAML
    python(abi)
    python-babel
    python-iso8601
    python-keystoneclient
    python-oslo-concurrency
    python-oslo-config
    python-oslo-i18n
    python-oslo-log
    python-oslo-middleware
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-pbr
    python-prettytable
    python-requests
    python-six

python2-monascaclient-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-fixtures
    python-mock
    python-mox3
    python-testrepository
    python-testscenarios
    python-testtools
    python2-monascaclient



Provides
--------
python2-monascaclient:
    python-monascaclient
    python2-monascaclient

python2-monascaclient-tests:
    python2-monascaclient-tests



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1414516
Buildroot used: dlrn-centos-ocata-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some comments:

- About no-changelogname-tag: this spec file is prepared for DLRN which requires empty changelog (see https://www.rdoproject.org/documentation/rdo-packaging/#branches-in-distgits)

- About non-conffile-in-etc , /etc/bash_completion.d is the default directory for system-wise completion files used by bash-completion.

- About no-manual-page, no manual page is provided by upstream project.

Comment 6 Alfredo Moralejo 2017-02-02 09:00:54 UTC
Based on information in comment #5, package is approved.

Comment 7 Javier Peña 2017-02-02 11:58:39 UTC
The python-monascaclient has now been built in RDO Trunk


Note You need to log in before you can comment on or make changes to this bug.